Skip Navigation Documents in Portable Document Format (PDF) require Adobe Acrobat Reader 5.0 or higher to view,download Adobe® Acrobat Reader.

Browser Update

Browser Update

Protect your Account Security.

On June 6, 2017, our website will deactivate TLS 1.0, an outdated protocol which is currently being phased out due to security vulnerabilities. If you are using an outdated browser, you may not be able to access alecu.org.

What is TLS 1.0? 

TLS stands for “Transport Layer Security.” It is a protocol that provides privacy and data integrity between two communicating applications. You will be required to upgrade to a browser compatible with TLS 1.1 or higher by June 6, 2017 to continue to access our website.

How you can avoid a possible service disruption:

We recommend that you upgrade to the latest version of your internet browser to ensure you will be able to continue to access our website. Luckily, you can easily upgrade to a newer version of Internet Explorer, Google Chrome, Mozilla FireFox or another supported web browser.

Just click one of the links below to view the download page:

Internet Explorer

https://www.microsoft.com/en-us/download/internet-explorer.aspx

Google Chrome

https://www.google.com/chrome/browser/

Mozilla Firefox 

https://www.mozilla.org/en-US/firefox/new/

Safari

https://support.apple.com/safari

We apologize for any inconvenience this may cause, but security changes such as this are vital to maintaining the safety of your financial data.

If you have any questions concerning this change, please contact us at 800.762.9988 or visit the contact us page at alecu.org.